import { IRenderer, ISpecification, IStackeable, IRenderable } from "../api";
/**
 * No-operation dummy renderer. Used for audio only.
 */
export declare class NoopRenderer implements IRenderer {
    /**
     * @inheritDoc
     */
    appendContent(element: HTMLElement): void;
    /**
     * @inheritDoc
     */
    appendSuggest(element: HTMLElement): void;
    /**
     * @inheritDoc
     */
    render(message: ISpecification | IRenderable, containerType?: IStackeable): HTMLElement[];
    init(channelId?: string): void;
}
